cf-execd(8)

NAME
cf-execd - cfengine's execution agent

SYNOPSIS:
 cf-execd [options]

DESCRIPTION:
The executor daemon is a scheduler and wrapper for execution of cf-agent. It collects the output of the agent and can email it to a specified address. It can splay the start time of executions across the network and work as a class-based clock for scheduling. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2,3

--verbose, -v
    Output verbose information about the behaviour of the agent

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--version, -V
    Output the version of the software

--file, -f
    Specify an alternative input file than the default

--define, -D
    Define a list of comma separated classes to be defined at the start of execution

--negate, -N
    Define a list of comma separated classes to be undefined at the start of execution

--no-lock, -K
    Ignore locking constraints during execution (ifelapsed/expireafter) if "too soon" to run

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

--no-fork, -F
    Run as a foreground processes (do not fork)

--no-winsrv, -W
    Do not run as a service on windows - use this when running from a command shell (Cfengine Nova only)

--ld-library-path, -L
    Set the internal value of LD_LIBRARY_PATH for child processes

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2011 CFEngine AS.